Module java.desktop
Package java.beans

## Interface VetoableChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BeanContextServicesSupport`, `BeanContextSupport`, `VetoableChangeListenerProxy`

    public interface VetoableChangeListener
    extends EventListener

A VetoableChange event gets fired whenever a bean changes a "constrained" property. You can register a VetoableChangeListener with a source bean so as to be notified of any constrained property updates.

Since:
  1.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `vetoableChange​(PropertyChangeEvent evt)` This method gets called when a constrained property is changed.

### Method Detail

#### vetoableChange

    void vetoableChange​(PropertyChangeEvent evt)
                 throws PropertyVetoException

This method gets called when a constrained property is changed.

Parameters:
  `evt` - a `PropertyChangeEvent` object describing the event source and the property that has changed.
Throws:
  `PropertyVetoException` - if the recipient wishes the property change to be rolled back.